1

After upgrading to 10.10.3 X11 applications are not opening anymore from the terminal.

The X11 symlink in /usr is correct

$ ls -l /usr/X11
lrwxr-xr-x  1 root  wheel  8 Aug  7  2014 /usr/X11 -> /opt/X11

I reinstalled XQuartz (2.7.7)

$DISPLAY is set

$ echo $DISPLAY 
/private/tmp/com.apple.launchd.mXmpHGFD7q/org.macports:0

Opening applications from the X11 menu (e.g. Applications -> Terminal) works.

Opening them from the Terminal app does nothing. Applications (e.g. xterm, emacs, ...) are stuck

What could I try?

Update

If I disconnect an external display then even the application opened via X11 menu are not working anymore. I have to close X11 and reopen it.

  • Try adding the app XQuartz. Worked for me. – bret7600 Apr 23 '15 at 11:17
  • As stated "I reinstalled XQuartz (2.7.7)", I already have the latest XQuartz version – Matteo Apr 23 '15 at 11:31
2
+200

Try installing the XQuartz package on MacOS Forge. I personally have had problems with Macports XQuartz and Yosemite, however the standard installer works perfectly for me. Or maybe try using the xorg-server package from Macports.

  • Yes, this is what I had before and what I re-installed. – Matteo May 5 '15 at 16:27
  • @Matteo Try running the installer or Macports install in verbose and look out for any errors – Séb May 5 '15 at 16:28
  • Hi, your answer gave me the idea to try the opposite. Instead of using the MacOS Forge package I installed xorg-server from MacPorts and it now works like a charm. I'll award the bounty, but then update your answer so that I can mark it as accepted. Many thanks! Ok, I have to wait 13h hours for the bounty ... – Matteo May 5 '15 at 16:56
  • @Matteo Updated the answer – Séb May 5 '15 at 16:58
  • Thanks, I'll assign the bounty as soon as it is allowed. – Matteo May 5 '15 at 17:13
0
+100

Seems to be a problem with pixman compatibility...

$/usr/X11/bin/X

dyld: Library not loaded: /opt/X11/lib/libpixman-1.0.dylib
  Referenced from: /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
  Reason: Incompatible library version: X11.bin requires version 33.0.0 or later, but libpixman-1.0.dylib provides version 25.0.0
  • I don't get the error. Opening /usr/X11/bin/X just starts X11 (as expected). But then no application can be opened. – Matteo Apr 23 '15 at 6:27
  • Wrong Answer for the bounty, whatever I'll grant another 100 to sebastien ... – Matteo May 6 '15 at 6:19
0

I've been having problems since OSX 10, now using XQuartz 2.7.7 (xorg-server 1.15.2) and when the X11 Terminal windows opens (the app freezes at this point) I simply close it by typing 'exit' at the prompt. After that, it all works fine for me.

Don't try and install the automatic update version - simply download it stand-alone.

-2

for MAC on v 2.7.11 https://www.xquartz.org/releases/XQuartz-2.7.10_rc5.html

sudo mv /opt/X11/lib/libXt.6.dylib{,.bak}
sudo cp /opt/X11/lib{/flat_namespace,}/libXt.6.dylib

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .